> ## Documentation Index
> Fetch the complete documentation index at: https://friendli.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Dedicated Restart Endpoint

> Restart a failed or terminated Friendli Dedicated Endpoint by ID. The endpoint re-initializes with the same model and GPU configuration.

Restart a failed or terminated Dedicated Endpoint.

To request successfully, it is mandatory to enter a **Personal API Key** (e.g. flp\_XXX) value in the **Bearer Token** field.
Refer to the [authentication section](/openapi/introduction#authentication) on our introduction page to learn how to acquire this variable and [visit here](https://friendli.ai/suite/~/setting/keys) to generate your API Key.

<Info>
  This API is currently in **Beta**.
  While we strive to provide a stable and reliable experience, this feature is still under active development.
  As a result, you may encounter unexpected behavior or limitations.
  We encourage you to provide feedback to help us improve the feature before its official release.

  * [Feature request & feedback](mailto:support@friendli.ai)
  * [Contact support](mailto:support@friendli.ai)
</Info>


## OpenAPI

````yaml https://github.com/friendliai/friendli-openapi/raw/refs/heads/main/openapi.yaml put /dedicated/beta/endpoint/{endpoint_id}/restart
openapi: 3.1.0
info:
  title: Friendli Suite API Reference
  description: This is an OpenAPI reference of Friendli Suite API.
  termsOfService: https://friendli.ai/terms-of-service
  contact:
    name: FriendliAI Support Team
    email: support@friendli.ai
  version: 0.1.0
servers:
  - url: https://api.friendli.ai
security: []
tags:
  - name: Serverless.Chat
  - name: Serverless.ToolAssistedChat
  - name: Serverless.Messages
  - name: Serverless.ChatRender
  - name: Serverless.Completions
  - name: Serverless.Token
  - name: Serverless.Audio
  - name: Serverless.Model
  - name: Serverless.Knowledge
  - name: Dedicated.Chat
  - name: Dedicated.Messages
  - name: Dedicated.ChatRender
  - name: Dedicated.Completions
  - name: Dedicated.Embeddings
  - name: Dedicated.TextClassification
  - name: Dedicated.Token
  - name: Dedicated.Image
  - name: Dedicated.Audio
  - name: Dedicated.Endpoint
  - name: Container.Chat
  - name: Container.Messages
  - name: Container.Completions
  - name: Container.TextClassification
  - name: Container.Token
  - name: Container.Image
  - name: Container.Audio
  - name: Cost
  - name: Dataset
  - name: File
paths:
  /dedicated/beta/endpoint/{endpoint_id}/restart:
    put:
      tags:
        - Dedicated.Endpoint
      summary: Restart endpoint
      description: Restart a FAILED or TERMINATED endpoint
      operationId: dedicatedRestartEndpoint
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the endpoint
            title: Endpoint Id
          description: The ID of the endpoint
        - name: X-Friendli-Team
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: ID of team to run requests as (optional parameter).
            title: X-Friendli-Team
          description: ID of team to run requests as (optional parameter).
      responses:
        '200':
          description: Successfully requested to restart the endpoint.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DedicatedEndpointStatus'
              examples:
                Example:
                  value:
                    status: INITIALIZING
                    createdAt: '2025-01-01T00:00:00Z'
                    updatedAt: '2025-01-01T00:00:00Z'
                    phase: DOWNLOADING_MODEL
        '400':
          description: Bad Request
        '404':
          description: Not Found
        '422':
          description: Unprocessable Entity
        '500':
          description: Internal Server Error
      security:
        - token: []
components:
  schemas:
    DedicatedEndpointStatus:
      properties:
        status:
          $ref: '#/components/schemas/InferenceDeploymentStatus'
          title: Status
          description: The current status of the endpoint deployment.
        errorCode:
          anyOf:
            - $ref: '#/components/schemas/InferenceDeploymentErrorCode'
            - type: 'null'
          title: Error Code
          description: Error code if deployment failed.
        createdAt:
          type: string
          format: date-time
          title: Created At
          description: When the endpoint was created.
        updatedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: When the endpoint was last updated.
        phase:
          anyOf:
            - type: string
              enum:
                - REQUESTING_VIRTUAL_MACHINE
                - DOWNLOADING_MODEL
                - ENGINE_INITIALIZING
            - type: 'null'
          title: Phase
          description: The current phase of the endpoint.
      type: object
      required:
        - status
        - createdAt
      title: DedicatedEndpointStatus
      description: Dedicated endpoint status.
    InferenceDeploymentStatus:
      type: string
      enum:
        - UNKNOWN
        - INITIALIZING
        - RUNNING
        - UPDATING
        - SLEEPING
        - AWAKING
        - FAILED
        - STOPPING
        - TERMINATING
        - TERMINATED
        - READY
      title: InferenceDeploymentStatus
      description: Status of inference deployment.
    InferenceDeploymentErrorCode:
      type: string
      enum:
        - WORKLOAD_INIT_UNKNOWN_ERROR
        - WORKLOAD_INIT_SETTINGS_ERROR
        - WORKLOAD_INIT_GRPC_ERROR
        - WORKLOAD_INIT_MANIFEST_NOT_FOUND_ERROR
        - WORKLOAD_INIT_MANIFEST_TYPE_ERROR
        - WORKLOAD_INIT_DOWNLOAD_ERROR
        - WORKLOAD_INIT_INVALID_TOKEN_ERROR
        - WORKLOAD_INIT_CANNOT_ACCESS_REPO_ERROR
        - WORKLOAD_INIT_HF_WANDB_API_ERROR
        - WORKLOAD_INIT_INSUFFICIENT_DISK_ERROR
        - INFERENCE_ENGINE_UNKNOWN_ERROR
        - INFERENCE_ENGINE_INVALID_ARGUMENT_ERROR
        - INFERENCE_ENGINE_MEMORY_ERROR
        - INFERENCE_ENGINE_METERING_CLIENT_CONFIG_ERROR
      title: InferenceDeploymentErrorCode
      description: ErrorCode type.
  securitySchemes:
    token:
      type: http
      description: >-
        When using Friendli Suite API for inference requests, you need to
        provide a **Personal API Key** for authentication and authorization
        purposes.


        For more detailed information, please refer
        [here](https://friendli.ai/docs/openapi/introduction#authentication).
      scheme: bearer

````